/*
 * Universidade Federal de Pernambuco - UFPE
 * Centro de Informtica - CIn
 * Centro Integrado de Tecnologia da Informao - CITi
 * Curso de C/C++
 * Autor: Allan Lima - http://allanlima.wordpress.com/
 * Instrutor: Luiz Felipe Sotero (lfss@cin.ufpe.br)
 *
 * cidade.c - Exemplo de como criar e utilizar arquivos cabealhos em C
 */

#include "cidade.h"

#include <string.h>
#include <stdlib.h>

struct Cidade clone(struct Cidade *p) {
	struct Cidade copia;

	copia.nome = (char *) calloc(50, sizeof(char));
	strcpy(copia.nome, p->nome);
	copia.populacao = p->populacao;

	return copia;
}
