/*
 * Universidade Federal de Pernambuco - UFPE
 * Centro de Informtica - CIn
 * Centro Integrado de Tecnologia da Informao - CITi
 * Curso de C/C++
 * Autor: Allan Lima - http://allanlima.wordpress.com/
 * Instrutor: Luiz Felipe Sotero (lfss@cin.ufpe.br)
 *
 * main.c - Exemplo de como criar e utilizar arquivos cabealhos em C
 */

#include <stdio.h>

#include "cidade.h"

int main() {
	struct Cidade c1, c2;

	c1.nome = "Recife";
	c1.populacao = 10000000;

	c2 = clone(&c1);
	printf("Nome: %s\n", c2.nome);
	printf("Populacao: %d\n", c2.populacao);

	// temos que delocar a memria
	free(c2.nome);


	return 0;
}
