/*
 * Universidade Federal de Pernambuco - UFPE
 * Centro de Informtica - CIn
 * Centro Integrado de Tecnologia da Informao - CITi
 * Curso de C/C++
 * Autor: Allan Lima - http://allanlima.wordpress.com/
 * Instrutor: Luiz Felipe Sotero (lfss@cin.ufpe.br)
 *
 * exemploSizeof.c - Demostra como utilizar o operador sizeof em C
 */

#include <stdio.h>

struct Cidade {
	char *nome;
	int populacao;
};
/*
int main () {
	int a = 10;
	int b = sizeof(a);
	float *pf;
	int *pi;

	b = sizeof a; // os parnteses no so obrigatrios


	printf("sizeof(int) = %d\n", sizeof(int));
	printf("sizeof(char) = %d\n", sizeof(char));
	printf("sizeof(a) = %d\n", b);

	// soma os atibutos
	printf("sizeof(struct Cidade) = %d\n", sizeof(struct Cidade));
	// sizeof(struct Cidade) = sizeof(nome) + sizeof(populacao);
	// sizeof(struct Cidade) = sizeof(char *) + sizeof(int);

	// ponteiros sempre possuem o mesmo tamanho
	printf("sizeof(pi) = %d\n", sizeof(pi));
	printf("sizeof(pf) = %d\n", sizeof(pf));
	printf("sizeof(struct Cidade *) = %d\n", sizeof(struct Cidade *));


	return 0;
}





