/*
 * Universidade Federal de Pernambuco - UFPE
 * Centro de Informtica - CIn
 * Centro Integrado de Tecnologia da Informao - CITi
 * Curso de C/C+
 * Autor: Allan Lima - http://allanlima.wordpress.com/
 * Instrutor: Luiz Felipe Sotero (lfss@cin.ufpe.br)
 *
 * exemploUnionChar.c - Mostra como utilizar enumeraes associadas  unies.
 */


#include <stdio.h>

struct Aluno {
    //...
};

struct Professor {
    //...
};

struct Secretaria {
    //...
};

struct Administrador {
    //...
};


struct Usuario {
    union {
        struct Aluno aluno;
        struct Professor professor;
        struct Secretaria secretaria;
        struct Administrador administrador;
    }conteudo;

    char tipo;
};

void logar(struct Usuario *u) {
    struct Aluno *aluno;
    struct Professor *professor;
    struct Secretaria *secretaria;
    struct Administrador *administrador;

    switch (u->tipo) {
        case ('A'):
                aluno = (struct Aluno *) &(u->conteudo);
                printf("Aluno\n");
                // ...
                break;
        case ('P'):
                professor = (struct Professor *) &(u->conteudo);
                printf("Professor\n");
                // ...
                break;
        case ('S'):
                secretaria = (struct Secretaria *) &(u->conteudo);
                printf("Secretaria\n");
                // ...
                break;
        case ('D'):
                administrador = (struct Administrador *)  &(u->conteudo);
                printf("Administrador\n");
                // ...
                break;
    }
}
/*
int main() {
    struct Usuario usuario;

    usuario.tipo = 'A';
    logar(&usuario);

    usuario.tipo = 'P';
    logar(&usuario);

    return 0;
}*/
